package com.fs.watch.domain;

public class ISPDeviceInfo {
    private String deviceid;
    private String imsi;
    private String sn;
    private String mac;
    private String netType;
    private String netOperator;
    private String wearingStatus;
    private String model;
    private String version;
    private String sim1IccId;
    private String sim1CellId;
    private String sim1NetAdhere;
    private String networkStatus;
    private String bandDetail;
    private String refSignal;
    private String band;
    private String communicationMode;

    // Getters and Setters
    public String getDeviceid() {
        return deviceid;
    }

    public void setDeviceid(String deviceid) {
        this.deviceid = deviceid;
    }

    public String getImsi() {
        return imsi;
    }

    public void setImsi(String imsi) {
        this.imsi = imsi;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getNetType() {
        return netType;
    }

    public void setNetType(String netType) {
        this.netType = netType;
    }

    public String getNetOperator() {
        return netOperator;
    }

    public void setNetOperator(String netOperator) {
        this.netOperator = netOperator;
    }

    public String getWearingStatus() {
        return wearingStatus;
    }

    public void setWearingStatus(String wearingStatus) {
        this.wearingStatus = wearingStatus;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSim1IccId() {
        return sim1IccId;
    }

    public void setSim1IccId(String sim1IccId) {
        this.sim1IccId = sim1IccId;
    }

    public String getSim1CellId() {
        return sim1CellId;
    }

    public void setSim1CellId(String sim1CellId) {
        this.sim1CellId = sim1CellId;
    }

    public String getSim1NetAdhere() {
        return sim1NetAdhere;
    }

    public void setSim1NetAdhere(String sim1NetAdhere) {
        this.sim1NetAdhere = sim1NetAdhere;
    }

    public String getNetworkStatus() {
        return networkStatus;
    }

    public void setNetworkStatus(String networkStatus) {
        this.networkStatus = networkStatus;
    }

    public String getBandDetail() {
        return bandDetail;
    }

    public void setBandDetail(String bandDetail) {
        this.bandDetail = bandDetail;
    }

    public String getRefSignal() {
        return refSignal;
    }

    public void setRefSignal(String refSignal) {
        this.refSignal = refSignal;
    }

    public String getBand() {
        return band;
    }

    public void setBand(String band) {
        this.band = band;
    }

    public String getCommunicationMode() {
        return communicationMode;
    }

    public void setCommunicationMode(String communicationMode) {
        this.communicationMode = communicationMode;
    }
}

